## org.eclipse.emf.cdo.common.model
Interface CDOPackageRegistry

All Superinterfaces:
  org.eclipse.emf.ecore.EPackage.Registry, java.util.Map<java.lang.String,java.lang.Object>

All Known Subinterfaces:
  InternalCDOPackageRegistry

    public interface CDOPackageRegistry

extends org.eclipse.emf.ecore.EPackage.Registry

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EPackage.Registry
`INSTANCE`

Method Summary
`CDOPackageInfo` `getPackageInfo(org.eclipse.emf.ecore.EPackage ePackage)`
`CDOPackageInfo[]` `getPackageInfos()` Returns all package infos that are registered in this package registry.
`CDOPackageUnit` `getPackageUnit(org.eclipse.emf.ecore.EPackage ePackage)`
`CDOPackageUnit[]` `getPackageUnits()` Returns all package units that are registered in this package registry.
`boolean` `isReplacingDescriptors()`
`java.lang.Object` `putEPackage(org.eclipse.emf.ecore.EPackage ePackage)` Registers an `EPackage` with this package registry.

Methods inherited from interface org.eclipse.emf.ecore.EPackage.Registry
`getEFactory, getEPackage`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### isReplacingDescriptors

    boolean isReplacingDescriptors()

### putEPackage

    java.lang.Object putEPackage(org.eclipse.emf.ecore.EPackage ePackage)

  Registers an `EPackage` with this package registry.

### getPackageUnit

    CDOPackageUnit getPackageUnit(org.eclipse.emf.ecore.EPackage ePackage)

### getPackageUnits

    CDOPackageUnit[] getPackageUnits()

  Returns all package units that are registered in this package registry.

### getPackageInfo

    CDOPackageInfo getPackageInfo(org.eclipse.emf.ecore.EPackage ePackage)

### getPackageInfos

    CDOPackageInfo[] getPackageInfos()

  Returns all package infos that are registered in this package registry.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.